using ShipyardContracts.BindingModels;
using ShipyardContracts.SearchModels;
using ShipyardContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.BusinessLogicsContracts
{
    public interface IShipLogic
    {
        List<ShipViewModel>? ReadList(ShipSearchModel? model);
        ShipViewModel? ReadElement(ShipSearchModel model);
        bool Create(ShipBindingModel model);
        bool Update(ShipBindingModel model);
        bool Delete(ShipBindingModel model);
    }
}
